halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Classes | Public Member Functions | Protected Member Functions | List of all members
hal::Sequence Class Referenceabstract

`#include <halSequence.h>`

Inheritance diagram for hal::Sequence:

## Classes
struct | Info
struct | UpdateInfo

## Public Member Functions
virtual std::string | getName () const =0
virtual std::string | getFullName () const =0
virtual const Genome * | getGenome () const =0
virtual Genome * | getGenome ()=0
virtual hal_index_t | getStartPosition () const =0
virtual hal_index_t | getEndPosition () const =0
virtual hal_index_t | getArrayIndex () const =0
virtual hal_index_t | getTopSegmentArrayIndex () const =0
virtual hal_index_t | getBottomSegmentArrayIndex () const =0
Public Member Functions inherited from hal::SegmentedSequence
virtual hal_size_t | getSequenceLength () const =0
virtual hal_size_t | getNumTopSegments () const =0
virtual hal_size_t | getNumBottomSegments () const =0
virtual TopSegmentIteratorPtr | getTopSegmentIterator (hal_index_t position=0)=0
virtual TopSegmentIteratorConstPtr | getTopSegmentIterator (hal_index_t position=0) const =0
virtual TopSegmentIteratorConstPtr | getTopSegmentEndIterator () const =0
virtual BottomSegmentIteratorPtr | getBottomSegmentIterator (hal_index_t position=0)=0
virtual BottomSegmentIteratorConstPtr | getBottomSegmentIterator (hal_index_t position=0) const =0
virtual BottomSegmentIteratorConstPtr | getBottomSegmentEndIterator () const =0
virtual DNAIteratorPtr | getDNAIterator (hal_index_t position=0)=0
virtual DNAIteratorConstPtr | getDNAIterator (hal_index_t position=0) const =0
virtual DNAIteratorConstPtr | getDNAEndIterator () const =0
virtual ColumnIteratorConstPtr | getColumnIterator (const std::set< const Genome * > *targets=NULL, hal_size_t maxInsertLength=0, hal_index_t position=0, hal_index_t lastPosition=NULL_INDEX, bool noDupes=false, bool noAncestors=false, bool reverseStrand=false) const =0
virtual void | getString (std::string &outString) const =0
virtual void | setString (const std::string &inString)=0
virtual void | getSubString (std::string &outString, hal_size_t start, hal_size_t length) const =0
virtual void | setSubString (const std::string &inString, hal_size_t start, hal_size_t length)=0
virtual RearrangementPtr | getRearrangement (hal_index_t position, hal_size_t gapLengthThreshold, double nThreshold, bool atomic=false) const =0
virtual GappedTopSegmentIteratorConstPtr | getGappedTopSegmentIterator (hal_index_t i, hal_size_t gapThreshold, bool atomic=false) const =0
virtual GappedBottomSegmentIteratorConstPtr | getGappedBottomSegmentIterator (hal_index_t i, hal_size_t childIdx, hal_size_t gapThreshold, bool atomic=false) const =0

## Protected Member Functions
virtual | ~Sequence ()=0
Protected Member Functions inherited from hal::SegmentedSequence
virtual | ~SegmentedSequence ()=0

## Detailed Description

Interface for a sequence of DNA. Note that sequences should not be written to outside of creating new genomes.

## Constructor & Destructor Documentation

hal::Sequence::~Sequence | ( |  | ) |
| inline protected pure virtual

Destructor

## Member Function Documentation

virtual hal_index_t hal::Sequence::getArrayIndex | ( |  | ) | const
| pure virtual

Get the index of the sequence in the sequence array

virtual hal_index_t hal::Sequence::getBottomSegmentArrayIndex | ( |  | ) | const
| pure virtual

Get the index of the sequence in the genome's bottom segment array

virtual hal_index_t hal::Sequence::getEndPosition | ( |  | ) | const
| pure virtual

Get the sequence's end position (start + len - 1) in the genome

virtual std::string hal::Sequence::getFullName | ( |  | ) | const
| pure virtual

Return the sequence's name in genomeName.sequenceName format (which is how it will appear in a MAF)

virtual const Genome* hal::Sequence::getGenome | ( |  | ) | const
| pure virtual

Get the containing (read-only) genome

virtual Genome* hal::Sequence::getGenome | ( |  | ) |
| pure virtual

Get the containing genome

virtual std::string hal::Sequence::getName | ( |  | ) | const
| pure virtual

Return the sequence's name

virtual hal_index_t hal::Sequence::getStartPosition | ( |  | ) | const
| pure virtual

Get the sequence's start position in the genome

virtual hal_index_t hal::Sequence::getTopSegmentArrayIndex | ( |  | ) | const
| pure virtual

Get the index of the sequence in the genome's top segment array

The documentation for this class was generated from the following file:

- inc/halSequence.h